package com.ss.android.ugc.aweme.video.simplayer;

import X.AnonymousClass8BD;
import X.C33048ql;
import X.C33078qo;
import X.C33088qp;
import X.IUu;
import X.JLw;
import X.JMA;
import com.bytedance.covode.number.Covode;
import java.util.List;
import org.json.JSONObject;

public interface TTNetClientApi {
    static {
        Covode.recordClassIndex(123084);
    }

    @JMA
    JLw<String> get(@C33088qp String str, @C33048ql List<AnonymousClass8BD> list);

    @IUu
    JLw<String> post(@C33088qp String str, @C33048ql List<AnonymousClass8BD> list, @C33078qo JSONObject jSONObject);
}
